(function ($) {
  "use strict";
  /*============= preloader js css =============*/
  var cites = [];
  cites[0] =
    "Discover Love Seamlessly with Datepress's Intuitive Visual Search.";
  cites[1] = "Datepress hosts face-to-face events in various cities";
  cites[2] =
    "Datepress offers a seamless experience with personalized love stories at its core.";
  cites[3] =
    "Datepress boasts an advanced visual search system powered by Ajax.";
  var cite = cites[Math.floor(Math.random() * cites.length)];
  $("#preloader p").text(cite);
  $("#preloader").addClass("loading");

  $(window).on("load", function () {
    setTimeout(function () {
      $("#preloader").fadeOut(500, function () {
        $("#preloader").removeClass("loading");
      });
    }, 500);
  });
})(jQuery);
